## /inc/log_caldav_action.php

Description

Allows logging of CalDAV actions (PUT/DELETE) for possible export or sync through some other glue.

- author: Andrew McMillan <andrew@morphoss.com>
- copyright: Morphoss Ltd
- license: GNU GPL v2 This file is intended to be used as a template, perhaps the user of this service will want to log actions in a very different manner and this can be used as an example of how to go about doing that.

Functions
log_caldav_action (line 26)

Log the action

void log_caldav_action (string $action_type, string $uid, integer $user_no, integer $collection_id, string $dav_name)

- string $action_type: INSERT / UPDATE or DELETE
- string $uid: The UID of the modified item
- integer $user_no: The user owning the containing collection.
- integer $collection_id: The ID of the containing collection.
- string $dav_name: The DAV path of the item, relative to the DAViCal base path

Documentation generated on Sun, 08 Jul 2012 12:53:50 +0000 by phpDocumentor 1.4.3